Name:		libva
Version:	2.20.0
Release:	1
Summary:	Libva is an implementation for VA-API (Video Acceleration API)
License:	MIT
URL:		https://github.com/intel/libva
Source0:	https://github.com/intel/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	libtool	libudev-devel libdrm-devel
%{!?_without_xorg:
BuildRequires:	libXext-devel
BuildRequires:	libXfixes-devel
}
BuildRequires:  libpciaccess-devel mesa-libEGL-devel mesa-libGL-devel mesa-libGLES-devel
%{!?_without_wayland:
BuildRequires:  wayland-devel
BuildRequires:  pkgconfig(wayland-client) >= 1
BuildRequires:  pkgconfig(wayland-scanner) >= 1
}
BuildRequires:  meson gcc

Requires:	mesa-dri-filesystem

%description
Libva is an implementation for VA-API, which is an open-source library and API
specification, provides access to graphics hardware acceleration capabilities
for video processing. It consists of a main library and driver-specific
acceleration backends for each supported hardware vendor.


%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig


%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson \
%{?_without_xorg: -Dwith_glx=no -Dwith_x11=no} \
%{?_without_wayland: -Dwith_wayland=no}

%meson_build

%install
%meson_install
%delete_la

%post -p  /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc NEWS
%license COPYING
%ghost %{_sysconfdir}/libva.conf
%{_libdir}/libva*.so.*


%files devel
%{_includedir}/va
%{_libdir}/libva*.so
%{_libdir}/pkgconfig/libva*.pc


%changelog
* Thu Oct 12 2023 yaoxin <yao_xin001@hoperun.com> - 2.20.0-1
- Upgrade to 2.20.0

* Mon Jan 9 2023 mengwenhua<mengwenhua@xfusion.com> - 2.13.0-2
- Add the missing trace log for the VA encoder API.

* Tue Sep 14 2021 hanhui<hanhui15@huawei> - 2.13.0-1
- upgrade to libva-2.13.0

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 2.5.0-2
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Thu Nov 28 2019 openEuler BuildTeam<buildteam@openeuler.org> - 2.3.0-2
- Package Init
